| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # StDOMNode< T > Class Template Reference List of all members.
## Public Member Functions
| StDOMNode (T *node=(T *) 0)
| StDOMNode (const StDOMNode &stNode)
| ~StDOMNode ()
T * | operator= (T *node)
bool | operator!= (T *node) const
bool | operator== (T *node) const
T & | operator * ()
const T & | operator * () const
T * | operator-> () const
| operator T * () const
void | ClearNode ()
### template<class T> class StDOMNode< T > ## Constructor & Destructor Documentation template<class T>
StDOMNode< T >::StDOMNode | ( | T * | node = `(T*)0` | ) |
template<class T>
StDOMNode< T >::StDOMNode | ( | const StDOMNode< T > & | stNode | ) |
template<class T>
StDOMNode< T >::~StDOMNode | ( |  | ) |
## Member Function Documentation template<class T>
T* StDOMNode< T >::operator= | ( | T * | node | ) |
template<class T>
bool StDOMNode< T >::operator!= | ( | T * | node | ) | const
template<class T>
bool StDOMNode< T >::operator== | ( | T * | node | ) | const
template<class T>
T& StDOMNode< T >::operator * | ( |  | ) |
template<class T>
const T& StDOMNode< T >::operator * | ( |  | ) | const
template<class T>
T* StDOMNode< T >::operator-> | ( |  | ) | const
template<class T>
StDOMNode< T >::operator T * | ( |  | ) | const
template<class T>
void StDOMNode< T >::ClearNode | ( |  | ) |
The documentation for this class was generated from the following file: StDOMNode.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.